; battleSetup

loadBattle2:
 ld hl,battleQueue
 ld de,battleQueue+1
 ld (hl),0
 ld bc,256
 ldir

 ld hl,battleQueue

 ; add party members

 ld a,3
 ld (partyMembers),a

 ; ****************
 ; * SETUP CHAR 1 *
 ; ****************
               
 ld a,2
 ld (hl),a						; state = normal
 inc hl
 ld a,1
 ld (hl),a						; sprite #1
 inc hl
 ld a,80
 ld (hl),a
 inc hl
 xor a
 ld (hl),a						; load sprite position
 inc hl
 xor a
 ld (hl),a						; reset gauge position
 inc hl
 
; ld de,attrib1+1
 push hl
  call loadAppvarInDE
  ld hl,14
  add hl,de
  ld a,(hl)
 pop hl

 ld (hl),a						; gauge speed
 inc hl

; ld de,hp1
 push hl
  ld hl,(appvarPointer)
  ld de,6
  add hl,de
  ex de,hl
 pop hl
 call deTOhl
 inc hl
 inc de
 call deTOhl					; setup Hit Points

 inc hl
 inc hl
 inc hl
 push hl
  ld hl,(appvarPointer)
  ld de,13
  add hl,de
  ld a,(hl)
;  ld de,7
;  add hl,de
;  ld b,(hl)
;  add a,b
 pop hl
 ld (hl),21
 inc hl
 ld (hl),16

 inc hl
 inc hl
 inc hl

 ; ****************
 ; * SETUP CHAR 2 *
 ; ****************

 ld a,2
 ld (hl),a						; state = normal
 inc hl
 ld a,2
 ld (hl),a						; sprite #2
 inc hl
 ld a,64
 ld (hl),a
 inc hl
 ld a,15
 ld (hl),a						; load sprite position
 inc hl
 xor a
 ld (hl),a						; reset gauge position
 inc hl
 
; ld de,attrib2+1
 push hl
  ld hl,(appvarPointer)
  ld de,44
  add hl,de
  ld a,(hl)
 pop hl
 ; some formula ?
 ld (hl),a						; gauge speed
 inc hl

; ld de,hp2
  push hl
  ld hl,(appvarPointer)
  ld de,36
  add hl,de
  ex de,hl
 pop hl
 call deTOhl
 inc hl
 inc de
 call deTOhl					; setup Hit Points

 inc hl
 inc hl
 inc hl
 push hl
  ld hl,(appvarPointer)
  ld de,43
  add hl,de
  ld a,(hl)
;  ld de,7
;  add hl,de
;  ld b,(hl)
;  add a,b
 pop hl
 ld (hl),29
 inc hl
 ld (hl),12

 inc hl
 inc hl
 inc hl

 ; ****************
 ; * SETUP CHAR 3 *
 ; ****************

 ld a,2
 ld (hl),a						; state = normal
 inc hl
 ld a,3
 ld (hl),a						; sprite #3
 inc hl
 ld a,80
 ld (hl),a
 inc hl
 ld a,30
 ld (hl),a						; load sprite position
 inc hl
 xor a
 ld (hl),a						; reset gauge position
 inc hl
 
; ld de,attrib3+1
 push hl
  ld hl,(appvarPointer)
  ld de,74
  add hl,de
  ld a,(hl)
 pop hl

 ld (hl),a						; gauge speed
 inc hl

; ld de,hp3
 push hl
  ld hl,(appvarPointer)
  ld de,66
  add hl,de
  ex de,hl
 pop hl
 call deTOhl
 inc hl
 inc de
 call deTOhl					; setup Hit Points

 inc hl
 inc hl
 inc hl
 push hl
  ld hl,(appvarPointer)
  ld de,73
  add hl,de
  ld a,(hl)
;  ld de,7
;  add hl,de
;  ld b,(hl)
;  add a,b
 pop hl
 ld (hl),15

 inc hl
 ld (hl),19

 inc hl
 inc hl
 inc hl

setupEnemy1:

 ; *****************
 ; * SETUP ENEMY 1 *
 ; *****************

 ld a,2
 ld (hl),a
 inc hl
 ld a,8
 ld (hl),a
 inc hl
 xor a
 ld (hl),a
 inc hl
 ld (hl),a						; load sprite position
 inc hl
 xor a
 ld (hl),a						; reset gauge position
 inc hl
 ld a,5
 ld (hl),a

 inc hl
 ld a,200
 ld (hl),a
 inc hl
 xor a
 ld (hl),a
 inc hl
 ld a,200
 ld (hl),a
 inc hl
 xor a
 ld (hl),a

 inc hl
 inc hl
 inc hl
 ld (hl),9
 inc hl
 ld (hl),10
 inc hl
 inc hl
 inc hl

 ; *****************
 ; * SETUP ENEMY 2 *
 ; *****************

 ld a,2
 ld (hl),a
 inc hl
 ld a,9
 ld (hl),a
 inc hl
 ld a,16
 ld (hl),a
 inc hl
 ld a,15
 ld (hl),a						; load sprite position
 inc hl
 xor a
 ld (hl),a						; reset gauge position
 inc hl
 ld a,6
 ld (hl),a

 inc hl
 ld a,200
 ld (hl),a
 inc hl
 xor a
 ld (hl),a
 inc hl
 ld a,200
 ld (hl),a
 inc hl
 xor a
 ld (hl),a

 inc hl
 inc hl
 inc hl
 ld (hl),11
 inc hl
 ld (hl),12
 inc hl
 inc hl
 inc hl
 
 ret

 ; *********
; UTILITY
; *********



setupAP:
 ld a,(hl)
 ld de,12
 add hl,de
 ld b,(hl)
 add a,b
 ret


deTOhl:
 ld a,(de)
 ld (hl),a
 inc de
 inc hl
 ld a,(de)
 ld (hl),a
 ret

isEnemy:
 ld a,(currentCharacter)
 cp 3
 ret c

 scf
 ret

getCharSprite:
  ld a,(currentCharacter)
 push hl
  ld h,0
  ld l,a
  add hl,hl
  add hl,hl
  add hl,hl
  add hl,hl
  add hl,hl					; 32 bytes per sprite
  ld de,battleSprites-32
  add hl,de

  ex de,hl
 pop hl						; sprite location in DE

 ; find mem to plot sprite at
 ld a,(hl)
 inc hl
 ld l,(hl)
 ld h,0
 push hl
 pop bc
 add hl,hl
 add hl,bc
 add hl,hl
 add hl,hl					; y*12
 srl a
 srl a
 srl a
 ld c,a
 ld b,0
 add hl,bc
 ld bc,plotsscreen
 add hl,bc
 ret

; in: hl = sprite
;     bc = screen location
showBattleSprite:
  ex de,hl
showBattle16:
  ld b,16							; aligned sprite routine
battleAlign:
  ld a,(hl)
  ld (de),a
  inc hl
  inc de
  ld a,(hl)
  ld (de),a
  inc hl
  push hl
   ld hl,11
   add hl,de
   ex de,hl
  pop hl
  djnz battleAlign
 ret

showGaugeOutline:
 call drawGaugeOutlineLINE

 ld de,10
 add hl,de
 
 ld b,3
drawGaugeLoop:
 ld a,10b
 ld (hl),a
 inc hl
 inc hl
 ld a,1
 ld (hl),a
 add hl,de
 djnz drawGaugeLoop

drawGaugeOutlineLINE:
 ld a,1
 ld (hl),a
 inc hl
 ld a,255
 ld (hl),255
 inc hl
 ld a,11111110b
 ld (hl),a
 ret


debug1235:
 push hl
 push bc
  ld a,(hl)
  ld l,a
  ld h,0
  B_CALL setxxxxop2
  B_CALL op2toop1
  ld a,8
  ld (pencol),a
  ld b,24
  ld a,(currentCharNumber)
  sla a
  sla a
  sla a
  add a,b
  ld (penrow),a
  ld a,3
  B_CALL dispop1a
 pop bc
 pop hl
 ret
