;-------------
; status screen
;-------------
; cursor pos = char number. 0 being char1
;------------

showStatusScreen:
 B_CALL GrBufClr

 ld a,(charSelect)
 call findChar2

 ; show character silhoette
 ld de,19
 add hl,de
 ld a,(hl)
 call findCharPic
 xor a
 ld e,0
 call align16

 ld hl,22
 ld (pencol),hl
 ld hl,(appvarPointer)
 call vputsApp

 ld hl,256*6+22
 ld (pencol),hl
 ld hl,lvText
 call vputsApp

 ld hl,(appvarPointer)
 ld de,12
 add hl,de
 ld a,(hl)
 B_CALL setxxop1
 B_CALL dispop1a

 ld hl,256*12+22
 ld (pencol),hl

 ld hl,(appvarPointer)
 ld de,6
 add hl,de
 call showHL

 ld a,Lslash
 B_CALL vputmap

 ld hl,(appvarPointer)
 ld de,8
 add hl,de
 call showHL

 ld hl,256*20
 ld (pencol),hl
 ld hl,statusText1
 call vputsApp

 ld hl,56
 ld (pencol),hl
 ld hl,statusText0
 call vputsApp

 ld hl,256*8+64
 ld (pencol),hl

 ld hl,(appvarPointer)
 ld de,10
 add hl,de
 call showHL

 ld hl,(appvarPointer)
 ld de,13
 add hl,de

 ld b,6
 ld c,20
statusLoop1:
 push bc
 push hl
 ld a,c
 ld (penrow),a
 ld a,34
 ld (pencol),a

 ld a,(hl)
 B_CALL setxxop1
 ld a,2
 B_CALL dispop1a

 pop hl
 inc hl
 pop bc
 ld a,c
 add a,6
 ld c,a
 djnz statusLoop1

 ld hl,256*26
 ld (pencol),hl
 ld hl,statusText2
 call vputsApp

 ld hl,256*32
 ld (pencol),hl
 ld hl,statusText3
 call vputsApp

 ld hl,256*38
 ld (pencol),hl
 ld hl,statusText4
 call vputsApp

 ld hl,256*44
 ld (pencol),hl
 ld hl,statusText5
 call vputsApp

 ld hl,256*50
 ld (pencol),hl
 ld hl,statusText6
 call vputsApp

 B_CALL GrBufCpy

statusLoop:
 call delay

 ld a,0FFh 			;Reset keypad again.
 out (1),a
 ld a,0bfh			;Enable group 2.
 out (1),a 
 in a,(1)
 cp diMode			; any key works
 jp nz,statusLoop

 ld a,0FFh
 ld (itemSelect),a

 jp setupMenuScreen